import request from '@/utils/request'

// 查询分包单位列表
export function findAllProjectInfoSubdepts(query) {
  return request({
    url: '/manage/proProjectInfoSubdepts/findAll',
    method: 'get',
    params: query
  })
}

// 查询分包单位列表
export function listProProjectInfoSubdepts(query) {
  return request({
    url: '/manage/proProjectInfoSubdepts/list',
    method: 'get',
    params: query
  })
}

// 查询分包单位详细
export function getProProjectInfoSubdepts(id) {
  return request({
    url: '/manage/proProjectInfoSubdepts/' + id,
    method: 'get'
  })
}

// 新增分包单位
export function addProProjectInfoSubdepts(data) {
  return request({
    url: '/manage/proProjectInfoSubdepts',
    method: 'post',
    data: data
  })
}

// 修改分包单位
export function updateProProjectInfoSubdepts(data) {
  return request({
    url: '/manage/proProjectInfoSubdepts',
    method: 'put',
    data: data
  })
}

// 修改分包单位
export function updateProProjectInfoSubdeptsEntity(data) {
  return request({
    url: '/manage/proProjectInfoSubdepts/editInfos',
    method: 'put',
    data: data
  })
}

// 删除分包单位
export function delProProjectInfoSubdepts(id) {
  return request({
    url: '/manage/proProjectInfoSubdepts/' + id,
    method: 'delete'
  })
}
